//                                                                             
// COPYRIGHT: Copyright (C) International Business Machines Corp., 1997.   
//                                                                             
// DISCLAIMER OF WARRANTIES:                                                    
//  The following [enclosed] code is sample code created by IBM                
//  Corporation.  This sample code is not part of any standard IBM product     
//  and is provided to you solely for the purpose of assisting you in the      
//  development of your applications.  The code is provided "AS IS",           
//  without warranty of any kind.  IBM shall not be liable for any damages     
//  arising out of your use of the sample code, even if they have been         
//  advised of the possibility of such damages.                                
//                                                                             

#include <iostream.h>

#include "rect.hpp"

Rectengle::Rectengle(int xorg, int yorg, int ht, int lth)
{
  x      = xorg;
  y      = yorg;
  height = ht;
  length = lth;
}

Rectengle::Rectengle(const Rectengle& rect)
{
  x      = rect.x;
  y      = rect.y;
  height = rect.height;
  length = rect.length;
}

Rectengle::~Rectengle()
{
  x      = 0;
  y      = 0;
  height = 0;
  length = 0;
}

void Rectengle::Move(int xdelta, int ydelta)
{
  x = x + xdelta;
  y = y + ydelta;
}

void Rectengle::Draw() const
{
  cout << "Origin=(" << x << "," << y << ") : ";
  cout << "Dimensions=(" << height << "," << length << ")" << endl;
}

void Rectengle::Title(char *title) const
{
  title[0] = title[0];
  cout << "Title:" << title << endl;
}
